/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-09-08 15:14:12
 * @LastEditors: lwh
 * @LastEditTime: 2025-04-29 16:31:43
 * @FilePath: \gzDyh\gz-customerSystem\src\views\register\index.jsx
 * @Description: 工作台
 */
import React, { useEffect, useState, useMemo, useRef } from 'react';
import { useNavigate } from 'react-router-dom';
import { tab0, tab1, tab2, tab3, tab4, tab5, tab6, allSign, tab1bg } from '@/assets/images';
import TableView from '../../components/TableView';
import TableDraftSearch from '../../components/TableDraftSearch';
import TableSearch from '../../components/TableSearch';
import MyTabsNew from '../../components/MyTabsNew';
import { Space, Form as antdForm } from 'antd';
import {
	checkInto,
	visitInto,
	visitWorkBench_1,
	visitWorkBench_2,
	visitWorkBench_6,
	efficiency,
	workDash_15,
	peopleMediation,
	troubleshooting,
} from '../../assets/images';
import { Tabs, Typography, Radio, Alert, Form, Input, DatePicker, Button, Select, Tooltip, Message, Modal, Divider } from '@arco-design/web-react';
import * as $$ from '@/utils/utility';
import Response from './matterDetail/response';
import './index.less';
import ResponseDetail from './matterDetail/responseDetail';
import SupervisingViews from './matterDetail/SupervisingViews';
import { AiQuestion } from './visit/component/levelDetail';
const FormItem = Form.Item;
const TabPane = Tabs.TabPane;
const { RangePicker } = DatePicker;
const { Link, Text } = Typography;
const { Option } = Select;
//工作总览数据
function getCountListApi(data) {
	return $$.ax.request({ url: `caseTask/getCountList`, type: 'get', service: 'mediate', data });
}

//风险评估
function pageExtremeCaseApi(data) {
	return $$.ax.request({ url: `caseTask/pageExtremeCase`, type: 'get', service: 'mediate', data });
}

//分派
function pageMyTaskFpApi(data) {
	return $$.ax.request({ url: `caseTask/pageMyTaskFp`, type: 'get', service: 'mediate', data });
}

//签收
function pageMyTaskQsApi(data) {
	return $$.ax.request({ url: `caseTask/pageMyTaskQs`, type: 'get', service: 'mediate', data });
}

//受理
function pageMyTaskSlApi(data) {
	return $$.ax.request({ url: `caseTask/pageMyTaskSl`, type: 'get', service: 'mediate', data });
}

//办理中
function pageMyTaskBlzApi(data) {
	return $$.ax.request({ url: `caseTask/pageMyTaskBlz`, type: 'get', service: 'mediate', data });
}

//办理中->结案申请、已结案接口
function pageMyTaskBlApi(data) {
	return $$.ax.request({ url: `caseTask/pageMyTaskBl`, type: 'get', service: 'mediate', data });
}

//待审核
function pageMyTaskShApi(data) {
	return $$.ax.request({ url: `caseTask/pageMyTaskSh`, type: 'get', service: 'mediate', data });
}

//待审核-我申请的
function pageMyTaskShWSQDApi(data) {
	return $$.ax.request({ url: `caseTask/pageMyTaskShWSQD`, type: 'get', service: 'mediate', data });
}

//督办
function pageMyTaskDbApi(data) {
	return $$.ax.request({ url: `caseTask/pageMyTaskDb`, type: 'get', service: 'mediate', data });
}

//签收接口
function signApi(data) {
	return $$.ax.request({ url: `caseTask/sign`, type: 'post', service: 'mediate', data });
}

// 获取弹窗草稿箱数据
function getModalPageQueryDataApi(submitData) {
	return $$.ax.request({ url: 'casedraftInfo/pageQuery', type: 'get', data: submitData, service: 'mediate' });
}
// 删除草稿箱数据
function deleteFileByIdApi(data) {
	return $$.ax.request({ url: `casedraftInfo/deleteCaseDraft`, type: 'get', service: 'mediate', data });
}

// 获取弹窗登记历史数据
function getModalPageQueryData1Api(submitData) {
	return $$.ax.request({ url: 'caseRegisterInfo/pageQuery', type: 'get', data: submitData, service: 'mediate' });
}

// 获取弹窗已办事项数据
function getModalPageQueryData2Api(submitData) {
	return $$.ax.request({ url: 'caseTask/pageMyTaskYb', type: 'get', data: submitData, service: 'mediate' });
}

function caseSuperviseInfoApi(data) {
	return $$.ax.request({ url: `caseSupervise/getById`, type: 'get', service: 'mediate', data });
}

//督办次数
function pageCaseSuperviseApi(data) {
	return $$.ax.request({ url: 'caseSupervise/pageCaseSupervise', type: 'get', service: 'mediate', data });
}
//全部签收
function allSignApi(data) {
	return $$.ax.request({ url: `caseTask/allSign`, type: 'post', service: 'mediate', data });
}

//督办添加id
function getNewTimeIdApi(id) {
	return $$.ax.request({ url: `caseUtils/getNewTimeId`, type: 'get', service: 'utils' });
}

// 删除已结案数据
function deleteCaseInfoByIdApi(data) {
	return $$.ax.request({ url: `caseInfo/deleteCaseById`, type: 'post', service: 'mediate', data });
}

function getCaseInfoApi(id) {
	return $$.ax.request({ url: 'caseInfo/getCaseInfo?id=' + id, type: 'get', service: 'mediate' });
}
function getCaseApi(data) {
	return $$.ax.request({ urlAi: `case-law/get-case`, typeAi: 'post', service: 'mediate', data });
}

function getLawApi(data) {
	return $$.ax.request({ urlAi: `case-law/get-law`, typeAi: 'post', service: 'mediate', data });
}

function pageCaseRepeatHbApi(data) {
	return $$.ax.request({ url: 'caseRepeatInfo/pageCaseRepeatHb', type: 'get', service: 'mediate', data });
}

const VisitWorkBench = () => {
	const navigate = useNavigate();
	const formRef = useRef();
	const [form] = antdForm.useForm();
	// 静态数据
	//风险预警
	const fxColumns = [
		{
			title: '',
			dataIndex: 'index',
			key: 'index',
			width: 65,
			render: (text, record, index) => {
				return <div className="public-tag public-tag-tagRed">扬言</div>;
			},
		},
		{
			title: '登记时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 150,
			defaultSortOrder: 'descend',
			sorter: true,
			sortNumber: 1, //设置这个传给后端的
			render: (text) => {
				return <span>{$$.myTimeFormat(text, 'YYYY-M-D HH:mm')}</span>;
			},
		},
		{
			title: '问题属地',
			dataIndex: 'queAddress',
			key: 'queAddress',
			width: 180,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '涉及人数',
			dataIndex: 'peopleNum',
			key: 'peopleNum',
			width: 100,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 150,
			render: (text) => (
				<span>
					{' '}
					<Tooltip content={text}>{$$.ellipsis(text, 7)}</Tooltip>
				</span>
			),
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 120,
			render: (text) => (
				<span>
					{' '}
					<Tooltip content={text}>{$$.ellipsis(text, 7)}</Tooltip>
				</span>
			),
		},
		{
			title: '事项状态',
			dataIndex: 'statusName',
			key: 'statusName',
			sorter: true,
			sortNumber: 2, //设置这个传给后端的
			width: 120,
		},
		{
			title: '承办部门',
			dataIndex: 'organizingUnit',
			key: 'organizingUnit',
			width: 120,
			render: (text) => (
				<span>
					{' '}
					<Tooltip content={text}>{$$.ellipsis(text, 7)}</Tooltip>
				</span>
			),
		},
		{
			title: '经办人',
			dataIndex: 'mediator',
			key: 'mediator',
			width: 180,
		},
		{
			title: '化解结果',
			dataIndex: 'mediResultName',
			key: 'mediResultName',
			width: 100,
			render: (text, record, index) => <div style={{ color: text == '化解成功' ? '#00b42a' : '#f53f3f' }}>{text}</div>,
		},
		{
			title: '督办次数',
			dataIndex: 'superviseCount',
			key: 'superviseCount',
			width: 100,
			render: (text, record, index) => (
				<div
					onClick={() => {
						text !== 0 && handleSupervising(record.caseId);
					}}
					style={{ cursor: 'pointer', color: text !== 0 ? '#1A6FB8' : '#000' }}
				>
					{text}
					{/* {text !== 0 && <span className="timeTip-red-tipsRed" style={{ marginLeft: '8px' }}>督</span>} */}
				</div>
			),
			sorter: true,
			sortNumber: 3,
		},
	];
	// 待合并
	const hbColumns = [
		{
			title: '流转时间',
			dataIndex: 'applyTime',
			key: 'applyTime',
			defaultSortOrder: 'descend',
			width: 180,
			sorter: true,
			sortNumber: 1, //设置这个传给后端的
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{$$.timeFormat(text)}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '合并时限',
			dataIndex: 'operExpireTime',
			key: 'operExpireTime',
			defaultSortOrder: 'descend',
			sorter: true,
			sortNumber: 2, //设置这个传给后端的
			width: 120,
			render: (text, record, index) => {
				return $$.getDiffTime(record.operExpireTime);
			},
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 3,
			render: (text) => <span>{text === '3' ? '三级' : text === '2' ? '二级' : text === '1' ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '问题属地',
			dataIndex: 'queAddr',
			key: 'queAddr',
			width: 150,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 180,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 100,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 100,
		},
		{
			title: '重复数量',
			dataIndex: 'repeatCount',
			key: 'repeatCount',
			width: 100,
		},
	];
	// 已合并
	const yhbColumns = [
		{
			title: '合并时间',
			dataIndex: 'operTime',
			key: 'operTime',
			defaultSortOrder: 'descend',
			width: 180,
			sorter: true,
			sortNumber: 1, //设置这个传给后端的
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{$$.timeFormat(text)}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '事项状态',
			dataIndex: 'statusName',
			key: 'statusName',
			width: 120,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 3,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '问题属地',
			dataIndex: 'queAddr',
			key: 'queAddr',
			width: 180,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
		{
			title: '承办部门',
			dataIndex: 'mediateUnitName',
			key: 'mediateUnitName',
			width: 180,
		},
		{
			title: '经办人',
			dataIndex: 'mediator',
			key: 'mediator',
			width: 180,
		},
		{
			title: '化解结果',
			dataIndex: 'mediResultName',
			key: 'mediResultName',
			width: 100,
			render: (text, record, index) => <div style={{ color: text == '化解成功' ? '#00b42a' : '#f53f3f' }}>{text}</div>,
		},
	];

	//分派表头
	const assignColumns = [
		{
			title: '流转时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 180,
			sorter: true,
			sortNumber: 1, //设置这个传给后端的
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '分派时限',
			dataIndex: 'timeLimit',
			key: 'timeLimit',
			defaultSortOrder: 'descend',
			sorter: true,
			sortNumber: 2, //设置这个传给后端的
			width: 200,
			render: (text, record, index) => {
				return $$.getDiffTime(record.timeLimit);
			},
		},
		{
			title: '阅读状态',
			dataIndex: 'readStatus',
			key: 'readStatus',
			width: 100,
			render: (text, record, index) => {
				return <div style={{ color: text !== 0 ? '#00B42A' : '#F53F3F' }}>{text !== 0 ? '已读' : '未读'}</div>;
			},
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 3,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '问题属地',
			dataIndex: 'queAddress',
			key: 'queAddress',
			width: 180,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
		{
			title: '督办次数',
			dataIndex: 'superviseCount',
			key: 'superviseCount',
			width: 100,
			render: (text, record, index) => (
				<div
					onClick={() => {
						text !== 0 && handleSupervising(record.caseId);
					}}
					style={{ cursor: 'pointer', color: text !== 0 ? '#1A6FB8' : '#000' }}
				>
					{text}
					{/* {text !== 0 && <span className="timeTip-red-tipsRed" style={{ marginLeft: '8px' }}>督</span>} */}
				</div>
			),
			sorter: true,
			sortNumber: 4,
		},
	];
	//签收表头
	const signForColumns = [
		{
			title: '流转时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 180,
			sorter: true,
			sortNumber: 1,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '签收时限',
			dataIndex: 'timeLimit',
			key: 'timeLimit',
			width: 200,
			render: (text, record, index) => {
				return $$.getDiffTime(record.timeLimit);
			},
			sorter: true,
			sortNumber: 2,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 3,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
		{
			title: '督办次数',
			dataIndex: 'superviseCount',
			key: 'superviseCount',
			width: 100,
			render: (text, record, index) => (
				<div
					onClick={() => {
						text !== 0 && handleSupervising(record.caseId);
					}}
					style={{ cursor: 'pointer', color: text !== 0 ? '#1A6FB8' : '#000' }}
				>
					{text}
				</div>
			),
			sorter: true,
			sortNumber: 4,
		},
	];
	//受理表头
	const acceptColumns = [
		{
			title: '流转时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 200,
			sorter: true,
			sortNumber: 1,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '受理时限',
			dataIndex: 'timeLimit',
			key: 'timeLimit',
			width: 200,
			render: (text, record, index) => {
				return $$.getDiffTime(record.timeLimit);
			},
			defaultSortOrder: 'descend',
			sorter: true,
			sortNumber: 2,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 3,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
		{
			title: '督办次数',
			dataIndex: 'superviseCount',
			key: 'superviseCount',
			width: 100,
			render: (text, record, index) => (
				<div
					onClick={() => {
						text !== 0 && handleSupervising(record.caseId);
					}}
					style={{ cursor: 'pointer', color: text !== 0 ? '#1A6FB8' : '#000' }}
				>
					{text}
				</div>
			),
			sorter: true,
			sortNumber: 4,
		},
	];
	//待审核->回退表头
	const backColumn = [
		{
			title: '回退时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 180,
			defaultSortOrder: 'ascend',
			sorter: true,
			sortNumber: 1,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '回退部门',
			dataIndex: 'organizingUnit',
			key: 'organizingUnit',
			width: 150,
		},
		{
			title: '回退理由',
			dataIndex: 'reason',
			key: 'reason',
			width: 180,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 2,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
	];
	//待审核->上报表头
	const upColumns = [
		{
			title: '上报时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 180,
			defaultSortOrder: 'descend',
			sorter: true,
			sortNumber: 1,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '上报部门',
			dataIndex: 'organizingUnit',
			key: 'organizingUnit',
			width: 150,
		},
		{
			title: '上报意见',
			dataIndex: 'opinion',
			key: 'opinion',
			width: 180,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 2,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
	];
	//待审核->结案申请表头
	const finishColumns = [
		{
			title: '结案申请时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 180,
			sorter: true,
			sortNumber: 1,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '申请部门',
			dataIndex: 'organizingUnit',
			key: 'organizingUnit',
			width: 150,
		},
		{
			title: '化解结果',
			dataIndex: 'mediResult',
			key: 'mediResult',
			width: 100,
			render: (text, record, index) => <div style={{ color: text == '化解成功' ? '#00b42a' : '#f53f3f' }}>{text}</div>,
		},
		{
			title: '无法化解理由',
			dataIndex: 'reason',
			key: 'reason',
			width: 180,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 2,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
	];
	//待审核->联合处置表头
	const jointColumns = [
		{
			title: '联合处置申请时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 180,
			sorter: true,
			sortNumber: 1,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '申请部门',
			dataIndex: 'organizingUnit',
			key: 'organizingUnit',
			width: 150,
		},
		{
			title: '添加配合部门',
			dataIndex: 'cooperatingUnit',
			key: 'cooperatingUnit',
			width: 150,
		},
		{
			title: '添加理由',
			dataIndex: 'reason',
			key: 'reason',
			width: 180,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 2,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
	];
	//办理中-办理中
	const processingColumns = [
		{
			title: '流转时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 180,
			sorter: true,
			sortNumber: 1,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '办理天数',
			dataIndex: 'processingDays',
			key: 'processingDays',
			width: 100,
			defaultSortOrder: 'descend',
			sorter: true,
			sortNumber: 2,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 3,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '经办人',
			dataIndex: 'manager',
			key: 'manager',
			width: 180,
		},
		{
			title: '承办部门',
			dataIndex: 'organizingUnit',
			key: 'organizingUnit',
			width: 180,
		},
		{
			title: '配合部门',
			dataIndex: 'cooperatingUnit',
			key: 'cooperatingUnit',
			width: 180,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
		{
			title: '督办次数',
			dataIndex: 'superviseCount',
			key: 'superviseCount',
			width: 100,
			render: (text, record, index) => (
				<div
					onClick={() => {
						text !== 0 && handleSupervising(record.caseId);
					}}
					style={{ cursor: 'pointer', color: text !== 0 ? '#1A6FB8' : '#000' }}
				>
					{text}
				</div>
			),
			sorter: true,
			sortNumber: 4,
		},
		{
			title: '操作',
			dataIndex: 'actions',
			key: 'actions',
			width: 150,
			fixed: 'right',
			render: (text, record) => (
				<Space>
					{
						<div
							onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=sxbl`)}
							style={{ cursor: 'pointer', color: '#1A6FB8' }}
						>
							详情
						</div>
					}
					<div
						onClick={() => navigate(`/mediate/visit/handleFeedback?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=sxbl`)}
						style={{ cursor: 'pointer', color: '#1A6FB8' }}
					>
						处理
					</div>
					<div onClick={() => getCaseInfo(record.caseId)} style={{ cursor: 'pointer', color: '#1A6FB8' }}>
						解纷助手
					</div>
				</Space>
			),
		},
	];
	//办理中-结案申请
	const closeApplyColumns = [
		{
			title: '结案申请时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 150,
			defaultSortOrder: 'ascend',
			sorter: true,
			sortNumber: 1,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '结案审核部门',
			dataIndex: 'auditUnit',
			key: 'auditUnit',
			width: 150,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 2,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '经办人',
			dataIndex: 'manager',
			key: 'manager',
			width: 180,
		},
		{
			title: '承办部门',
			dataIndex: 'organizingUnit',
			key: 'organizingUnit',
			width: 180,
		},
		{
			title: '配合部门',
			dataIndex: 'cooperatingUnit',
			key: 'cooperatingUnit',
			width: 180,
		},
		{
			title: '化解结果',
			dataIndex: 'mediResultName',
			key: 'mediResultName',
			width: 100,
			render: (text, record, index) => <div style={{ color: record.mediResult == '22_00025-1' ? '#00b42a' : '#f53f3f' }}>{text}</div>,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
		{
			title: '督办次数',
			dataIndex: 'superviseCount',
			key: 'superviseCount',
			width: 100,
			render: (text, record, index) => (
				<div
					onClick={() => {
						text !== 0 && handleSupervising(record.caseId);
					}}
					style={{ cursor: 'pointer', color: text !== 0 ? '#1A6FB8' : '#000' }}
				>
					{text}
				</div>
			),
			sorter: true,
			sortNumber: 3,
		},
		{
			title: '操作',
			dataIndex: 'actions',
			key: 'actions',
			width: 80,
			fixed: 'right',
			render: (text, record) => (
				<Space style={{ color: '#1A6FB8' }}>
					<div
						onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
						style={{ cursor: 'pointer' }}
					>
						详情
					</div>
				</Space>
			),
		},
	];
	//办理中-已结案
	const resultApplyColumns = [
		{
			title: '结案时间',
			dataIndex: 'turnaroundTime',
			key: 'turnaroundTime',
			width: 180,
			defaultSortOrder: 'descend',
			sorter: true,
			sortNumber: 1,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 100,
			sorter: true,
			sortNumber: 2,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '事项来源',
			dataIndex: 'caseSource',
			key: 'caseSource',
			width: 120,
		},
		{
			title: '纠纷类型',
			dataIndex: 'caseType',
			key: 'caseType',
			width: 260,
		},
		{
			title: '经办人',
			dataIndex: 'manager',
			key: 'manager',
			width: 180,
		},
		{
			title: '承办部门',
			dataIndex: 'organizingUnit',
			key: 'organizingUnit',
			width: 180,
		},
		{
			title: '配合部门',
			dataIndex: 'cooperatingUnit',
			key: 'cooperatingUnit',
			width: 180,
		},
		{
			title: '化解结果',
			dataIndex: 'mediResultName',
			key: 'mediResultName',
			width: 100,
			render: (text, record, index) => <div style={{ color: record.mediResult == '22_00025-1' ? '#00b42a' : '#f53f3f' }}>{text}</div>,
		},
		{
			title: '事项状态',
			dataIndex: 'caseStatusName',
			key: 'caseStatusName',
			width: 120,
		},
		{
			title: '申请方',
			dataIndex: 'plaintiffs',
			key: 'plaintiffs',
			width: 180,
		},
		{
			title: '被申请方',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 180,
		},
		{
			title: '督办次数',
			dataIndex: 'superviseCount',
			key: 'superviseCount',
			width: 100,
			render: (text, record, index) => (
				<div
					onClick={() => {
						text !== 0 && handleSupervising(record.caseId);
					}}
					style={{ cursor: 'pointer', color: text !== 0 ? '#1A6FB8' : '#000' }}
				>
					{text}
				</div>
			),
			sorter: true,
			sortNumber: 3,
		},
	];
	//审核添加进去的表头
	const addColumns = [
		{
			title: '审核时间',
			dataIndex: 'auditTime',
			key: 'auditTime',
			width: 150,
			defaultSortOrder: 'descend',
			sorter: true,
			sortNumber: 3,
			render: (text, record, index) => {
				return (
					<div style={{ display: 'flex', gap: '8px' }}>
						<div>{text}</div>
						{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
					</div>
				);
			},
		},
		{
			title: '审核结果',
			dataIndex: 'auditResult',
			key: 'auditResult',
			width: 100,
			render: (text) => {
				return <div style={{ color: text == '同意' ? '#00B42A' : '#F53F3F' }}>{text}</div>;
			},
		},
	];
	//工作总览map
	const tabsMap = {
		// '0': {
		//   workTotal: {
		//     label: '风险预警',
		//     bgColor: '#FFECE8',
		//     borderColor: '#fdcdc5',
		//     bgImage: 'tab0bg.svg',
		//     value: 'isRisk',
		//     img: tab0
		//   },
		//   tabList: [
		//     {
		//       value: '1',
		//       label: '扬言极端',
		//       numberKey: 'isRisk',
		//       columns: fxColumns.concat([{
		//         title: '操作',
		//         dataIndex: 'actions',
		//         key: 'actions',
		//         width: 120,
		//         fixed: 'right',
		//         render: (text, record) => (
		//           <Space style={{ color: '#1A6FB8' }}>
		//             {/* 1：待分派，2：待签收，3：待受理，4：化解中，5：结案审核，6：待评价，7：已归档，8：不予受理 */}
		//             <div onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}&moutedTab=${record?.status === '3' ? 'htsh' : record?.status === '4' ? 'sxbl' : ''}`)} style={{ cursor: 'pointer' }}>详情</div>
		//             {record?.status === '1' && <div onClick={() => navigate(`/mediate/visit/eventFlow?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}`)} style={{ cursor: 'pointer' }}>处理</div>}
		//             {record?.status === '3' && <div onClick={() => navigate(`/mediate/visit/eventFlow?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}&moutedTab=htsh`)} style={{ cursor: 'pointer' }}>处理</div>}
		//             {record?.status === '4' && <div onClick={() => navigate(`/mediate/visit/handleFeedback?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}&moutedTab=sxbl`)} style={{ cursor: 'pointer' }}>处理</div>}
		//           </Space>
		//         ),
		//       }]),
		//     },
		//     // {
		//     //   value: '2',
		//     //   label: '重点人员',
		//     //   columns: assignColumns.map(item => {
		//     //     if (item.dataIndex == 'timeLimit') {
		//     //       return {
		//     //         title: '分派时间',
		//     //         dataIndex: 'taskHandleTime',
		//     //         key: 'taskHandleTime',
		//     //         width: 150,
		//     //         sorter: true,
		//     //         sortNumber: 2
		//     //       }
		//     //     } else {
		//     //       return item
		//     //     }
		//     //   }).concat([{
		//     //     title: '操作',
		//     //     dataIndex: 'actions',
		//     //     key: 'actions',
		//     //     width: 80,
		//     //     fixed: 'right',
		//     //     render: (text, record) => (
		//     //       <Space style={{ color: '#1A6FB8' }}>
		//     //         <div onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)} style={{ cursor: 'pointer' }}>详情</div>
		//     //         {/* <div onClick={() => handleSupervisingAdd(record.caseId)} style={{ cursor: 'pointer' }}>督办</div> */}
		//     //       </Space>
		//     //     ),
		//     //   }]),
		//     // },
		//   ],
		// },
		// '0': {
		// 	workTotal: {
		// 		label: '待合并',
		// 		bgColor: '#E8FFEA',
		// 		borderColor: '#AFF0B5',
		// 		bgImage: 'tab7bg.svg',
		// 		value: 'waitRepeat',
		// 		img: visitWorkBench_6,
		// 	},
		// 	tabList: [
		// 		{
		// 			value: '1',
		// 			label: '待合并',
		// 			numberKey: 'waitRepeat',
		// 			columns: hbColumns.concat([
		// 				{
		// 					title: '操作',
		// 					dataIndex: 'actions',
		// 					key: 'actions',
		// 					width: 100,
		// 					fixed: 'right',
		// 					render: (text, record) => (
		// 						<Space style={{ color: '#1A6FB8' }}>
		// 							<div
		// 								onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}&moutedTab=cfsx`)}
		// 								style={{ cursor: 'pointer' }}
		// 							>
		// 								详情
		// 							</div>
		// 							<div
		// 								onClick={() =>
		// 									navigate(`/mediate/repeatMerge?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}&repeatId=${record.repeatId}`)
		// 								}
		// 								style={{ cursor: 'pointer' }}
		// 							>
		// 								处理
		// 							</div>
		// 						</Space>
		// 					),
		// 				},
		// 			]),
		// 		},
		// 		{
		// 			value: '2',
		// 			label: '已合并',
		// 			columns: yhbColumns.concat([
		// 				{
		// 					title: '操作',
		// 					dataIndex: 'actions',
		// 					key: 'actions',
		// 					width: 120,
		// 					fixed: 'right',
		// 					render: (text, record) => (
		// 						<Space style={{ color: '#1A6FB8' }}>
		// 							<div
		// 								onClick={() =>
		// 									navigate(
		// 										`/mediate/visit/fileMessage?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}&moutedTab=${
		// 											record?.status === '3' ? 'htsh' : record?.status === '4' ? 'sxbl' : ''
		// 										}`
		// 									)
		// 								}
		// 								style={{ cursor: 'pointer' }}
		// 							>
		// 								详情
		// 							</div>
		// 						</Space>
		// 					),
		// 				},
		// 			]),
		// 		},
		// 	],
		// },
		'1': {
			workTotal: {
				label: '待分派',
				bgColor: '#E8F8FF',
				borderColor: '#B6DDF1',
				bgImage: 'tab1bg.png',
				value: 'waitDisp',
				img: tab1,
			},
			tabList: [
				{
					value: '1',
					label: '待分派',
					numberKey: 'waitDisp',
					columns: assignColumns
						.filter((item) => item.key !== 'readStatus')
						.concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 120,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
										<div
											onClick={() => navigate(`/mediate/visit/eventFlow?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
											style={{ cursor: 'pointer' }}
										>
											处理
										</div>
									</Space>
								),
							},
						]),
				},
				{
					value: '2',
					label: '已分派',
					columns: assignColumns
						.map((item) => {
							if (item.dataIndex == 'timeLimit') {
								return {
									title: '分派时间',
									dataIndex: 'taskHandleTime',
									key: 'taskHandleTime',
									width: 150,
									defaultSortOrder: 'descend',
									sorter: true,
									sortNumber: 2,
								};
							} else {
								return item;
							}
						})
						.concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 80,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
										{/* <div onClick={() => handleSupervisingAdd(record.caseId)} style={{ cursor: 'pointer' }}>督办</div> */}
									</Space>
								),
							},
						]),
				},
			],
		},
		// '2': {
		//   workTotal: {
		//     label: '待签收',
		//     bgColor: '#E8FFEA',
		//     borderColor: '#AFF0B5',
		//     value: 'waitSign',
		//     bgImage: 'tab2bg.png',
		//     img: tab2
		//   },
		//   tabList: [
		//     {
		//       value: '1',
		//       label: '待签收',
		//       numberKey: 'waitSign',
		//       columns: signForColumns.concat([{
		//         title: '操作',
		//         dataIndex: 'actions',
		//         key: 'actions',
		//         width: 120,
		//         fixed: 'right',
		//         render: (text, record) => (
		//           <Space style={{ color: '#1A6FB8' }}>
		//             <div onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)} style={{ cursor: 'pointer' }}>详情</div>
		//             <div onClick={() => handleSign(record.caseId, record.ownerId)} style={{ cursor: 'pointer' }}>签收</div>
		//           </Space>
		//         ),
		//       }])
		//     },
		//     {
		//       value: '2',
		//       label: '已签收',
		//       columns: signForColumns.map(item => {
		//         if (item.dataIndex == 'timeLimit') {
		//           return {
		//             title: '签收时间',
		//             dataIndex: 'taskHandleTime',
		//             key: 'taskHandleTime',
		//             width: 150,
		//             sorter: true,
		//             sortNumber: 2
		//           }
		//         } else {
		//           return item
		//         }
		//       }).concat([{
		//         title: '操作',
		//         dataIndex: 'actions',
		//         key: 'actions',
		//         width: 80,
		//         fixed: 'right',
		//         render: (text, record) => (
		//           <Space style={{ color: '#1A6FB8' }}>
		//             <div onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)} style={{ cursor: 'pointer' }}>详情</div>
		//           </Space>
		//         ),
		//       }])
		//     },
		//   ],
		// },
		'3': {
			workTotal: {
				label: '待受理',
				bgColor: '#F5E8FF',
				borderColor: '#DDBEF6',
				bgImage: 'tab3bg.png',
				value: 'waitAccept',
				img: tab3,
			},
			tabList: [
				{
					value: '1',
					label: '待受理',
					numberKey: 'waitAccept',
					columns: acceptColumns.concat([
						{
							title: '操作',
							dataIndex: 'actions',
							key: 'actions',
							width: 120,
							fixed: 'right',
							render: (text, record) => (
								<Space style={{ color: '#1A6FB8' }}>
									<div
										onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
										style={{ cursor: 'pointer' }}
									>
										详情
									</div>
									<div
										onClick={() => navigate(`/mediate/visit/eventFlow?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
										style={{ cursor: 'pointer' }}
									>
										处理
									</div>
								</Space>
							),
						},
					]),
				},
				{
					value: '2',
					label: '已受理',
					columns: acceptColumns
						.map((item) => {
							if (item.dataIndex == 'timeLimit') {
								return {
									title: '受理时间',
									dataIndex: 'taskHandleTime',
									key: 'taskHandleTime',
									width: 150,
									defaultSortOrder: 'descend',
									sorter: true,
									sortNumber: 2,
								};
							} else {
								return item;
							}
						})
						.concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 80,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
									</Space>
								),
							},
						]),
				},
				{
					value: '3',
					label: '不予受理',
					columns: acceptColumns
						.map((item) => {
							if (item.dataIndex == 'timeLimit') {
								return {
									title: '不予受理时间',
									dataIndex: 'taskHandleTime',
									key: 'taskHandleTime',
									width: 150,
									defaultSortOrder: 'descend',
									sorter: true,
									sortNumber: 2,
								};
							} else {
								return item;
							}
						})
						.concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 80,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
									</Space>
								),
							},
						]),
				},
			],
		},
		'4': {
			workTotal: {
				label: '办理中',
				bgColor: '#E6FFFB',
				borderColor: '#B5F5EC',
				bgImage: 'tab4bg.png',
				value: 'processing',
				img: tab4,
			},
			tabList: [
				{
					value: '2',
					label: '办理中',
					columnsMap: {
						1: processingColumns.filter((item) => item.dataIndex !== 'organizingUnit'),
						2: processingColumns.filter((item) => item.dataIndex !== 'cooperatingUnit'),
					},
				},
				{
					value: '0',
					label: '结案申请',
					columnsMap: {
						1: closeApplyColumns.filter((item) => item.dataIndex !== 'organizingUnit'),
						2: closeApplyColumns.filter((item) => item.dataIndex !== 'cooperatingUnit'),
					},
				},
				{
					value: '1',
					label: '已结案',
					columnsMap: {
						1: resultApplyColumns
							.filter((item) => item.dataIndex !== 'organizingUnit')
							.concat([
								{
									title: '操作',
									dataIndex: 'actions',
									key: 'actions',
									width: 100,
									fixed: 'right',
									render: (text, record, index) => (
										<Space style={{ color: '#1A6FB8' }}>
											<div
												onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
												style={{ cursor: 'pointer' }}
											>
												详情
											</div>
											<div
												onClick={() => navigate(`/mediate/closeCaseEdit?completed=true&caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
												style={{ cursor: 'pointer', color: '#1A6FB8' }}
											>
												修改
											</div>
											{/* <div
												onClick={() =>
													$$.modalInfo({
														title: '提醒',
														content: '确认要删除该案件吗？',
														okText: '确定',
														cancelText: '我再想想',
														onOk: async () => {
															console.log(record);
															const res = await deleteCaseInfoByIdApi({ id: record.caseId });
															console.log(res);
															if (res.type) {
																$$.infoSuccess({ content: '删除成功' });
																setSearchData({
																	...searchData,
																	caseTaskType: 1,
																});
															}
														},
													})
												}
												style={{ cursor: 'pointer', color: '#1A6FB8' }}
											>
												删除
											</div> */}
										</Space>
									),
								},
							]),
						2: resultApplyColumns
							.filter((item) => item.dataIndex !== 'cooperatingUnit')
							.concat([
								{
									title: '操作',
									dataIndex: 'actions',
									key: 'actions',
									width: 83,
									fixed: 'right',
									render: (text, record, index) => (
										<Space style={{ color: '#1A6FB8' }}>
											<div
												onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
												style={{ cursor: 'pointer' }}
											>
												详情
											</div>
										</Space>
									),
								},
							]),
					},
				},
			],
		},
		'5': {
			workTotal: {
				label: '待审核',
				bgColor: '#E8F7FF',
				borderColor: '#C3E7FE',
				bgImage: 'tab5bg.png',
				value: 'waitReview',
				img: tab5,
			},
			tabList: [
				{
					value: '0',
					label: '待审核',
					numberKey: 'waitReview',
					columnsMap: {
						1: backColumn.concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 120,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=htsh`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
										<div
											onClick={() => navigate(`/mediate/visit/eventFlow?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=htsh`)}
											style={{ cursor: 'pointer' }}
										>
											审核
										</div>
									</Space>
								),
							},
						]),
						2: upColumns.concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 120,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=sbsh`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
										<div
											onClick={() => navigate(`/mediate/visit/eventFlow?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=sbsh`)}
											style={{ cursor: 'pointer' }}
										>
											审核
										</div>
									</Space>
								),
							},
						]),
						3: finishColumns.concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 120,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=jash`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
										<div
											onClick={() => navigate(`/mediate/visit/closingReview?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=jash`)}
											style={{ cursor: 'pointer' }}
										>
											审核
										</div>
									</Space>
								),
							},
						]),
						4: jointColumns.concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 120,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=lhczsh`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
										<div
											onClick={() => navigate(`/mediate/visit/handleFeedback?caseTaskId=${record.ownerId}&caseId=${record.caseId}&moutedTab=lhczsh`)}
											style={{ cursor: 'pointer' }}
										>
											审核
										</div>
									</Space>
								),
							},
						]),
					},
				},
				{
					value: '1',
					label: '已审核',
					columnsMap: {
						1: [
							{
								title: '回退时间',
								dataIndex: 'turnaroundTime',
								key: 'turnaroundTime',
								width: 180,
								sorter: true,
								sortNumber: 1,
								render: (text, record, index) => {
									return (
										<div style={{ display: 'flex', gap: '8px' }}>
											<div>{text}</div>
											{record?.isRisk === '1' && <div className="public-tag public-tag-tagRed">扬言</div>}
										</div>
									);
								},
							},
							{
								title: '回退部门',
								dataIndex: 'organizingUnit',
								key: 'organizingUnit',
								width: 150,
							},
							{
								title: '回退理由',
								dataIndex: 'reason',
								key: 'reason',
								width: 180,
							},
							...addColumns,
							...backColumn.slice(3),
						].concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 80,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
									</Space>
								),
							},
						]),
						2: [...upColumns.slice(0, 3), ...addColumns, ...upColumns.slice(3)].concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 80,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
									</Space>
								),
							},
						]),
						3: [...finishColumns.slice(0, 4), ...addColumns, ...finishColumns.slice(4)].concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 80,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
									</Space>
								),
							},
						]),
						4: [...jointColumns.slice(0, 4), ...addColumns, ...jointColumns.slice(4)].concat([
							{
								title: '操作',
								dataIndex: 'actions',
								key: 'actions',
								width: 80,
								fixed: 'right',
								render: (text, record) => (
									<Space style={{ color: '#1A6FB8' }}>
										<div
											onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
											style={{ cursor: 'pointer' }}
										>
											详情
										</div>
									</Space>
								),
							},
						]),
					},
				},
				{
					value: '2',
					label: '我申请的',
					columns: [
						{
							title: '申请时间',
							dataIndex: 'turnaroundTime',
							key: 'turnaroundTime',
							width: 150,
							sorter: true,
							sortNumber: 1,
						},
						{
							title: '申请类型',
							dataIndex: 'applyType',
							key: 'applyType',
							width: 100,
						},
						{
							title: '审核部门',
							dataIndex: 'auditUnit',
							key: 'auditUnit',
							width: 150,
						},
						{
							title: '审核进度',
							dataIndex: 'auditStatus',
							key: 'auditStatus',
							width: 100,
							render: (text) => {
								return <span>{text === '0' ? '未审核' : '已审核'}</span>;
							},
						},
						{
							title: '审核结果',
							dataIndex: 'auditResult',
							key: 'auditResult',
							width: 100,
							render: (text) => {
								return (
									<span style={{ color: text == '24_00004-1' ? '#00b42a' : text == '24_00004-2' ? '#f53f3f' : '' }}>
										{text == '24_00004-1' ? '通过' : text == '24_00004-2' ? '未通过' : '-'}
									</span>
								);
							},
						},
						{
							title: '审核时间',
							dataIndex: 'auditTime',
							key: 'auditTime',
							width: 150,
							defaultSortOrder: 'descend',
							sorter: true,
							sortNumber: 2,
						},
						{
							title: '事项等级',
							dataIndex: 'caseGrade',
							key: 'caseGrade',
							width: 100,
							sorter: true,
							sortNumber: 3,
							render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
						},
						{
							title: '事项来源',
							dataIndex: 'caseSource',
							key: 'caseSource',
							width: 120,
						},
						{
							title: '纠纷类型',
							dataIndex: 'caseType',
							key: 'caseType',
							width: 260,
						},
						{
							title: '申请方',
							dataIndex: 'plaintiffs',
							key: 'plaintiffs',
							width: 180,
						},
						{
							title: '被申请方',
							dataIndex: 'defendants',
							key: 'defendants',
							width: 180,
						},
						{
							title: '操作',
							dataIndex: 'actions',
							key: 'actions',
							width: 80,
							fixed: 'right',
							render: (text, record) => (
								<Space style={{ color: '#1A6FB8' }}>
									<div
										onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
										style={{ cursor: 'pointer' }}
									>
										详情
									</div>
								</Space>
							),
						},
					],
				},
			],
		},
		'6': {
			workTotal: {
				label: '督办',
				bgColor: '#FFF7E6',
				borderColor: '#FFE7BA',
				bgImage: 'tab6bg.png',
				value: 'supervise',
				img: tab6,
			},
			tabList: [
				{
					value: '0',
					label: '未办理',
					numberKey: 'supervise',
					columns: [
						{
							title: '督办时间',
							dataIndex: 'turnaroundTime',
							key: 'turnaroundTime',
							width: 150,
							sorter: true,
							sortNumber: 1,
						},
						{
							title: '回复时限',
							dataIndex: 'timeLimit',
							key: 'timeLimit',
							width: 200,
							render: (text, record, index) => {
								return $$.getDiffTime(record.timeLimit);
							},
							defaultSortOrder: 'descend',
							sorter: true,
							sortNumber: 2,
						},
						{
							title: '督办意见',
							dataIndex: 'opinion',
							key: 'opinion',
							width: 180,
						},
						{
							title: '事项等级',
							dataIndex: 'caseGrade',
							key: 'caseGrade',
							width: 100,
							sorter: true,
							sortNumber: 3,
							render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
						},
						{
							title: '事项来源',
							dataIndex: 'caseSource',
							key: 'caseSource',
							width: 120,
						},
						{
							title: '纠纷类型',
							dataIndex: 'caseType',
							key: 'caseType',
							width: 260,
						},
						{
							title: '申请方',
							dataIndex: 'plaintiffs',
							key: 'plaintiffs',
							width: 120,
						},
						{
							title: '被申请方',
							dataIndex: 'defendants',
							key: 'defendants',
							width: 180,
						},
						{
							title: '操作',
							dataIndex: 'actions',
							key: 'actions',
							width: 100,
							fixed: 'right',
							render: (text, record) => (
								<Space>
									<div
										onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.ownerId}&caseId=${record.caseId}`)}
										style={{ cursor: 'pointer', color: '#1A6FB8' }}
									>
										详情
									</div>
									<div onClick={() => handleResponse(record.ownerId, 'response')} style={{ cursor: 'pointer', color: '#1A6FB8' }}>
										回复
									</div>
								</Space>
							),
						},
					],
				},
				{
					value: '1',
					label: '已办理',
					columns: [
						{
							title: '督办时间',
							dataIndex: 'turnaroundTime',
							key: 'turnaroundTime',
							width: 150,
							sorter: true,
							sortNumber: 1,
						},
						{
							title: '督办意见',
							dataIndex: 'opinion',
							key: 'opinion',
							width: 180,
						},
						{
							title: '回复时间',
							dataIndex: 'replyTime',
							key: 'replyTime',
							width: 150,
							defaultSortOrder: 'descend',
							sorter: true,
							sortNumber: 5,
						},
						{
							title: '回复内容',
							dataIndex: 'content',
							key: 'content',
							width: 180,
						},
						{
							title: '事项等级',
							dataIndex: 'caseGrade',
							key: 'caseGrade',
							width: 100,
							sorter: true,
							sortNumber: 3,
							render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
						},
						{
							title: '事项来源',
							dataIndex: 'caseSource',
							key: 'caseSource',
							width: 120,
						},
						{
							title: '纠纷类型',
							dataIndex: 'caseType',
							key: 'caseType',
							width: 260,
						},
						{
							title: '申请方',
							dataIndex: 'plaintiffs',
							key: 'plaintiffs',
							width: 120,
						},
						{
							title: '被申请方',
							dataIndex: 'defendants',
							key: 'defendants',
							width: 180,
						},
						{
							title: '操作',
							dataIndex: 'actions',
							key: 'actions',
							width: 120,
							fixed: 'right',
							render: (text, record) => (
								<Space>
									<div
										onClick={() =>
											navigate(
												`/mediate/visit/fileMessage?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}&moutedTab=${
													record?.status === '3' ? 'htsh' : record?.status === '4' ? 'sxbl' : ''
												}`
											)
										}
										style={{ cursor: 'pointer', color: '#1A6FB8' }}
									>
										详情
									</div>
									<div onClick={() => handleResponse(record.ownerId, 'responseDetail')} style={{ cursor: 'pointer', color: '#1A6FB8' }}>
										查看回复
									</div>
								</Space>
							),
						},
					],
				},
				{
					value: '3',
					label: '我发起的',
					columns: [
						{
							title: '督办时间',
							dataIndex: 'turnaroundTime',
							key: 'turnaroundTime',
							width: 150,
							sorter: true,
							sortNumber: 1,
						},
						{
							title: '回复时限',
							dataIndex: 'timeLimit',
							key: 'timeLimit',
							width: 200,
							render: (text, record, index) => {
								return record.applyStatus === '1' ? '-' : $$.getDiffTime(record.timeLimit);
							},
							defaultSortOrder: 'descend',
							sorter: true,
							sortNumber: 2,
						},
						{
							title: '督办部门',
							dataIndex: 'organizingUnit',
							key: 'organizingUnit',
							width: 150,
						},
						{
							title: '回复状态',
							dataIndex: 'applyStatus',
							key: 'applyStatus',
							width: 100,
							sorter: true,
							sortNumber: 4,
							render: (text, record, index) => {
								return <div style={{ color: text === '0' ? '#F53F3F' : '#00B42A' }}>{text === '0' ? '未回复' : '已回复'}</div>;
							},
						},
						{
							title: '事项等级',
							dataIndex: 'caseGrade',
							key: 'caseGrade',
							width: 100,
							sorter: true,
							sortNumber: 3,
							render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
						},
						{
							title: '事项来源',
							dataIndex: 'caseSource',
							key: 'caseSource',
							width: 120,
						},
						{
							title: '纠纷类型',
							dataIndex: 'caseType',
							key: 'caseType',
							width: 260,
						},
						{
							title: '申请方',
							dataIndex: 'plaintiffs',
							key: 'plaintiffs',
							width: 120,
						},
						{
							title: '被申请方',
							dataIndex: 'defendants',
							key: 'defendants',
							width: 180,
						},
						{
							title: '操作',
							dataIndex: 'actions',
							key: 'actions',
							width: 120,
							fixed: 'right',
							render: (text, record) => (
								<Space>
									<div
										onClick={() =>
											navigate(
												`/mediate/visit/fileMessage?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}&moutedTab=${
													record?.status === '3' ? 'htsh' : record?.status === '4' ? 'sxbl' : ''
												}`
											)
										}
										style={{ cursor: 'pointer', color: '#1A6FB8' }}
									>
										详情
									</div>
									<div onClick={() => handleResponse(record.ownerId, 'responseDetail')} style={{ cursor: 'pointer', color: '#1A6FB8' }}>
										查看督办
									</div>
								</Space>
							),
						},
					],
				},
			],
		},
	};
	//亿迅key对应我们的key的map
	const keyMap = {
		'11': '1',
		'12': '2',
		'13': '3',
		'14': '5',
	};

	//督办次数
	const supervisingColumns = [
		{
			title: '督办时间',
			dataIndex: 'supTime',
			key: 'supTime',
			width: 50,
		},
		{
			title: '回复时限',
			dataIndex: 'timeLimit',
			key: 'timeLimit',
			width: 80,
			render: (text, record) => {
				return record.supStatus === 1 ? '-' : $$.getDiffTime(record.timeLimit);
			},
		},
		{
			title: '督办意见',
			dataIndex: 'supContent',
			key: 'supContent',
			width: 100,
		},
		{
			title: '事项等级',
			dataIndex: 'caseGrade',
			key: 'caseGrade',
			width: 50,
			render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
		},
		{
			title: '回复状态',
			dataIndex: 'supStatus',
			key: 'supStatus',
			width: 50,
			render: (text, record) => (
				<div style={{ color: record.supStatus === 0 ? '#F53F3F' : '#00B42A' }}>{record.supStatus === 0 ? '未回复' : '已回复'}</div>
			),
		},
		{
			title: '操作',
			dataIndex: 'defendants',
			key: 'defendants',
			width: 50,
			fixed: 'right',
			render: (text, record) => (
				<Space>
					<div onClick={() => handleResponse(record.id, 'responseDetail')} style={{ cursor: 'pointer', color: '#1A6FB8' }}>
						详情
					</div>
					{record.supStatus == 0 && (
						<div onClick={() => handleResponse(record.id, 'response')} style={{ cursor: 'pointer', color: '#1A6FB8' }}>
							回复
						</div>
					)}
				</Space>
			),
		},
	];

	//响应式State
	const [tabActivekey, setTabActivekey] = useState('1'); //头部活跃卡片key
	const [countData, setCountData] = useState({}); //头部信息
	const [tableTab, setTableTab] = useState(tabsMap['1'].tabList); //默认待分派
	const [pageData, setPageData] = useState({
		//页脚数据
		status: '1',
		page: 1,
		size: 10,
	});
	const [searchData, setSearchData] = useState({
		sortType: 2,
		sortColmn: 1,
	});
	const [tableData, setTableData] = useState([]); //表格数据
	const [total, setTotal] = useState(0); //表格数据总数量
	const [loading, setLoading] = useState(false); //表格loading
	const [selectedRowKeys, setSelectedRowKeys] = useState([]); //批量签收的id
	const [selectedRows, setSelectedRows] = useState([]); //批量签收的数据
	const [moutedFlag, setMoutedFlag] = useState(false); //初始化判断
	const [inspectionVisible, setInspectionVisible] = useState(false); //自行排查弹窗控制

	const [searchSupervise, setSearchSupervise] = useState({
		page: '1',
		size: 20,
		caseId: '',
		type: 0,
	});
	const [response, setResponse] = useState(false);
	const [responseId, setResponseId] = useState('');
	const [modalData, setModalData] = useState({ type: '', visible: false, list: [] }); //弹窗列表
	const [search, setSearch] = useState({ page: 1, size: 10, sortColmn: 1, sortType: 2 }); // 搜索 	sortColmn 排序字段（1：办理时间；2：事项等级；3：督办次数）（必传）
	const [data, setData] = useState({ tableData: [] }); // 数据
	const [supervisingList, setSupervisingList] = useState(false);
	const [superviseInfo, setSuperviseInfo] = useState({});
	const [detail, setDetail] = useState(false);
	const [responseDetail, setResponseDetail] = useState({});
	const [SuperviseListData, setSuperviseListData] = useState([]);
	const [supervising, setSupervising] = useState(false);
	const [supervisingAddId, setSupervisingAddId] = useState('');
	const [supervisingId, setSupervisingId] = useState('');
	const [tabKey, setTabKey] = useState('');
	const [AiQuestionView, setAiQuestionView] = useState(false);
	const [aiData, setAiData] = useState([]);
	const [aiLawData, setAiLawData] = useState([]);
	const [caseDetailAi, setCaseDetailAi] = useState({});
	const [caseClaim, setCaseClaim] = useState('');
	useEffect(() => {
		getCountData();
		const visitWorkBenchStore = $$.getSessionStorage('visitWorkBench'); //缓存数据
		const toKey = $$.getQueryString('tabActivekey'); //跳转的活跃key
		setMoutedFlag(true);
		if (visitWorkBenchStore) {
			setTabActivekey(visitWorkBenchStore.tabActivekey);
			setTableTab(tabsMap[visitWorkBenchStore.tabActivekey].tabList);
			setPageData(visitWorkBenchStore.pageData);
			setSearchData(visitWorkBenchStore.searchData);
		} else if (toKey) {
			let myKey = keyMap[toKey];
			tabActive(myKey, tabsMap[myKey]);
		}
		window.addEventListener('beforeunload', handleBeforeUnload);
	}, []);

	useEffect(() => {
		if (moutedFlag) {
			getTableData(tabActivekey);
		}
	}, [moutedFlag, searchData, pageData]);

	useEffect(() => {
		$$.setSessionStorage('visitWorkBench', {
			tabActivekey,
			pageData,
			searchData,
		});
	}, [tabActivekey, pageData, searchData]);

	//浏览器刷新之后清楚缓存
	const handleBeforeUnload = () => {
		$$.clearSessionStorage('visitWorkBench');
	};

	//批量选择
	const onSelectChange = (newSelectedRowKeys, selectedRows) => {
		setSelectedRowKeys(newSelectedRowKeys);
		setSelectedRows(selectedRows);
	};

	//签收
	const handleSign = async (caseId, ownerId) => {
		const res = await signApi([{ caseId: caseId, caseTaskId: ownerId }]);
		if (res.type) {
			Message.success({
				content: (
					<div className="myMessageBox">
						<div className="messageTop">签收成功</div>
						<div className="messageBottom">请在受理时限内及时跟进</div>
					</div>
				),
				showIcon: true,
				className: 'acro-myMessage',
				position: 'bottom',
			});
			getCountData();
			getTableData(tabActivekey);
			navigate(`/mediate/visit/eventFlow?caseTaskId=${ownerId}&caseId=${caseId}`);
		}
	};

	//督办次数列表
	const pageCaseSupervise = async (caseId) => {
		const res = await pageCaseSuperviseApi({ ...searchSupervise, caseId: caseId });
		if (res.type) {
			let data = res.data.content;
			setSuperviseListData(data);
		}
	};

	//获取添加督办id
	const getNewTimeId = async () => {
		const res = await getNewTimeIdApi();
		if (res.type) {
			setSupervisingId(res.data);
		}
	};

	//添加督办
	const handleSupervisingAdd = (caseId) => {
		setSupervising(!supervising);
		setSupervisingAddId(caseId);
		getNewTimeId();
	};

	//回复
	const caseSuperviseInfo = async (id, type) => {
		const res = await caseSuperviseInfoApi({ id: id });
		if (type === 'response') {
			if (res.type) {
				setSuperviseInfo(res.data);
			}
		}
		if (type === 'responseDetail') {
			if (res.type) {
				setResponseDetail(res.data);
			}
		}
	};

	//督办次数
	const handleSupervising = (caseId) => {
		// setSupervisingId(caseId)
		pageCaseSupervise(caseId);
		setSupervisingList(!supervisingList);
	};

	//督办回复
	const handleResponse = (id, type) => {
		if (type === 'response') {
			setResponse(!response);
			setResponseId(id);
			caseSuperviseInfo(id, 'response');
		}
		if (type === 'responseDetail') {
			setDetail(!detail);
			caseSuperviseInfo(id, 'responseDetail');
		}
	};

	//获取表格数据汇总
	const getTableData = async (myType) => {
		setLoading(true);
		const { status, type, ...most } = searchData;
		let res;
		switch (myType) {
			// case '0': //风险评估
			// 	res = await pageExtremeCaseApi({
			// 		...pageData,
			// 		...searchData,
			// 		createStart: searchData.timeStart || '',
			// 		createEnd: searchData.timeEnd || '',
			// 	});
			// 	break;
			case '0': //待合并
				res = await pageCaseRepeatHbApi({
					...pageData,
					...searchData,
				});
				break;
			case '1': //待分派
				res = await pageMyTaskFpApi({
					...pageData,
					...searchData,
				});
				break;
			case '2': //待签收
				res = await pageMyTaskQsApi({
					...pageData,
					...searchData,
				});
				break;
			case '3': //待受理
				res = await pageMyTaskSlApi({
					...pageData,
					...searchData,
				});
				break;
			case '4': //办理中
				if (status && status === '2') {
					//办理中
					res = await pageMyTaskBlzApi({
						...pageData,
						...most,
					});
				} else {
					//结案申请、已结案
					res = await pageMyTaskBlApi({
						...pageData,
						...searchData,
					});
				}
				break;
			case '5': //待审核
				if (status && status === '2') {
					//我申请的
					res = await pageMyTaskShWSQDApi({
						...pageData,
						...most,
					});
				} else {
					res = await pageMyTaskShApi({
						...pageData,
						...searchData,
					});
				}
				break;
			case '6': //督办
				res = await pageMyTaskDbApi({
					...pageData,
					...searchData,
				});
				break;
			default:
				break;
		}
		if (res.type) {
			setLoading(false);
			const { data } = res;
			setTableData([]);
			setTableData(data?.content);
			setTotal(data.totalElements);
		}
	};

	//改变tab
	const handleColumnType = (type) => {
		setPageData({
			page: 1,
			size: 10,
		});
		setSearchData({
			...searchData,
			status: type,
		});
	};

	//改变工作总览
	const tabActive = (key, data) => {
		setPageData({
			page: 1,
			size: 10,
		});
		//默认第一个tab
		if (key == '5') {
			setSearchData({
				sortType: 2,
				sortColmn: 1,
				status: '0',
				type: 1,
			});
		} else if (key == '4') {
			setSearchData({
				sortType: 2,
				sortColmn: 1,
				status: '2',
				caseTaskType: 1,
			});
		} else if (key == '6') {
			setSearchData({
				sortType: 2,
				sortColmn: 1,
				status: '0',
			});
		} else if (key == '0') {
			setSearchData({
				sortType: 1,
				sortColmn: 2,
				status: '1',
			});
		}else {
			setSearchData({
				sortType: 2,
				sortColmn: 1,
				status: '1',
			});
		}
		setTabActivekey(key);
		setTableTab(data.tabList);
		getCountData();
	};

	//获取工作总览数据
	const getCountData = async () => {
		const res = await getCountListApi();
		if (res.type) {
			const data = res.data || {};
			setCountData(data);
		}
	};

	//查询
	const handleSubmit = () => {
		const data = formRef.current.getFieldsValue();
		const { time, ...rest } = data;
		setSearchData({
			...searchData,
			timeStart: time ? time[0] : '',
			timeEnd: time ? time[1] : '',
			...rest,
		});
		setPageData({
			page: 1,
			size: 10,
		});
	};

	//批量签收
	const handleBatchQs = () => {
		const paramsList = selectedRows.map((item) => {
			return {
				caseId: item.caseId,
				caseTaskId: item.ownerId,
			};
		});
		Modal.confirm({
			title: '签收确认',
			content: '确认批量签收？',
			onOk: async () => {
				const res = await signApi(paramsList);
				if (res.type) {
					$$.infoSuccess({ content: '批量签收成功！' });
					getCountData();
					getTableData(tabActivekey);
				}
			},
		});
	};

	//全部签收
	const handleAllSign = () => {
		if (tableData.length == 0) {
			Message.warning('当前无待签收事项！');
			return;
		}
		Modal.confirm({
			title: '签收确认',
			content: '确认全部签收？',
			onOk: async () => {
				const data = formRef.current.getFieldsValue();
				const { time, partyName } = data;
				const res = await allSignApi({
					timeStart: time ? time[0] : '',
					timeEnd: time ? time[1] : '',
					partyName,
				});
				if (res.type) {
					$$.infoSuccess({ content: '全部签收成功！' });
					getCountData();
					getTableData(tabActivekey);
				}
			},
		});
	};

	//排序
	const handleSort = (sort) => {
		let sortColmn = sort.column ? sort.column.sortNumber : 1;
		let sortType = sort.order == 'descend' ? 2 : 1; //1：正序；2：倒序
		setSearchData({
			...searchData,
			sortType,
			sortColmn,
		});
	};

	//根据头部和tab确定时间的占位字
	const getPlaceholder = () => {
		let start;
		let end;
		if (tabActivekey === '0') {
			start = '登记开始日期';
			end = '登记结束日期';
		}
		if (searchData.status == '1' && (tabActivekey === '1' || tabActivekey === '2' || tabActivekey === '3')) {
			start = '流转开始日期';
			end = '流转结束日期';
		}
		if (tabActivekey === '4') {
			if (searchData.status == '2') {
				start = '流转开始日期';
				end = '流转结束日期';
			}
			if (searchData.status === '0') {
				start = '结案申请开始日期';
				end = '结案申请结束日期';
			}
			if (searchData.status === '1') {
				start = '结案开始日期';
				end = '结案结束日期';
			}
		}
		if (tabActivekey === '5') {
			if (searchData.status === '0') {
				if (searchData.type === 1) {
					start = '回退开始日期';
					end = '回退结束日期';
				}
				if (searchData.type === 2) {
					start = '上报开始日期';
					end = '上报结束日期';
				}
				if (searchData.type === 3) {
					start = '结案申请开始日期';
					end = '结案申请结束日期';
				}
				if (searchData.type === 4) {
					start = '联合处置申请开始日期';
					end = '联合处置申请结束日期';
				}
			}
			if (searchData.status === '1') {
				start = '审核开始日期';
				end = '审核结束日期';
			}
			if (searchData.status === '2') {
				start = '申请开始日期';
				end = '申请结束日期';
			}
		}
		if (tabActivekey === '6') {
			if (searchData.status === '0' || searchData.status === '3') {
				start = '督办开始日期';
				end = '督办结束日期';
			}
			if (searchData.status === '1') {
				start = '回复开始日期';
				end = '回复结束日期';
			}
		}
		if (searchData.status == '2') {
			if (tabActivekey === '1') {
				start = '分派开始日期';
				end = '分派结束日期';
			}
			if (tabActivekey === '2') {
				start = '签收开始日期';
				end = '签收结束日期';
			}
			if (tabActivekey === '3') {
				start = '受理开始日期';
				end = '受理结束日期';
			}
		}
		if (searchData.status == '3') {
			if (tabActivekey === '3') {
				start = '不予受理开始日期';
				end = '不予受理结束日期';
			}
		}
		return [start, end];
	};

	const rowSelection = {
		selectedRowKeys: selectedRowKeys,
		onChange: onSelectChange,
	};

	// 草稿箱、已办事项、登记记录弹窗列表
	const modalClick = (type) => {
		// 草稿箱
		if (type === 'draft') {
			setModalData({ ...modalData, visible: true, type, title: '草稿箱' });
			handleSearch('draft', 'reset');
		}
		// 已办事项
		if (type === 'done') {
			setModalData({ ...modalData, visible: true, type, title: '已办事项' });
			handleSearch('done', 'reset');
		}
		// 登记记录
		if (type === 'his') {
			setModalData({ ...modalData, visible: true, type, title: '登记历史' });
			handleSearch('his', 'reset');
		}
	};

	// 草稿弹窗表头
	const columns = () => {
		return [
			{
				title: '保存时间',
				width: 100,
				defaultSortOrder: 'descend',
				order: 'ascend',
				sorter: { compare: (a, b) => {} },
				dataIndex: 'updateTime',
				render: (text) => <span>{$$.myTimeFormat(text, 'YYYY-MM-DD HH:mm')}</span>,
			},
			{ title: '操作人', width: 60, dataIndex: 'inputUserName' },
			{
				title: '事项等级',
				width: 80,
				order: 'ascend',
				sorter: { compare: (a, b) => {} },
				dataIndex: 'caseLevel',
				render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
			},
			{ title: '事项来源', width: 80, dataIndex: 'canalName' },
			{ title: '纠纷类型', width: 100, dataIndex: 'caseTypeName' },
			{ title: '申请方', width: 100, dataIndex: 'plaintiffs' },
			{ title: '被申请方', width: 100, dataIndex: 'defendants' },
			{
				title: '操作',
				dataIndex: 'action',
				width: 50,
				render: (_, record) => {
					return (
						<Space style={{ color: '#1A6FB8' }}>
							<span
								onClick={() => {
									if (record.canalChild === '3') {
										navigate(`/mediate/selfInspection/${record.id}?isOrganization=true`);
									} else if (record.canalChild === '2') {
										navigate(`/mediate/selfInspection/${record.id}`);
									} else {
										navigate(`/mediate/visit/${record.id}`);
									}
								}}
								className="public-color public-a"
							>
								修改
							</span>
							<span
								className="public-color public-a"
								onClick={() => {
									handleDelete(record.id);
								}}
							>
								删除
							</span>
						</Space>
					);
				},
			},
		];
	};

	//删除
	const handleDelete = (id) => {
		Modal.confirm({
			title: '删除确认',
			content: '确认该草稿吗？',
			onOk: async () => {
				const res = await deleteFileByIdApi({ id });
				if (res.type) {
					$$.infoSuccess({ content: '删除成功！' });
					handleSearch('draft', 'reset');
				}
			},
		});
	};

	// 登记记录
	const columnsHis = () => {
		return [
			{
				title: '登记时间',
				width: 100,
				dataIndex: 'createTime',
				defaultSortOrder: 'descend',
				order: 'ascend',
				sorter: { compare: (a, b) => {} },
				render: (text) => <span>{$$.dateFormat(text)}</span>,
			},
			{ title: '操作人', width: 60, dataIndex: 'inputUserName' },
			{ title: '事项状态', width: 80, dataIndex: 'statusName' },
			{
				title: '事项等级',
				width: 80,
				order: 'ascend',
				sorter: { compare: (a, b) => {} },
				dataIndex: 'caseLevel',
				render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
			},
			{ title: '事项来源', width: 80, dataIndex: 'canalName' },
			{
				title: '纠纷类型',
				width: 150,
				dataIndex: 'caseTypeName',
				render: (text, record) => (
					<Tooltip content={`${record.caseTypeFirstName}/${text}`}>
						<span>
							{record.caseTypeFirstName}/{text}
						</span>
					</Tooltip>
				),
			},
			// { title: '化解结果', width: 100, dataIndex: 'mediResultName' },
			{
				title: '化解结果',
				width: 100,
				dataIndex: 'mediResultName',
				render: (text) => (
					<div className={text === '化解成功' ? 'comprehensive-green' : text === '化解不成功' ? 'comprehensive-red' : '-'}>{text || '-'}</div>
				),
			},
			{ title: '申请方', width: 100, dataIndex: 'plaintiffs' },
			{ title: '被申请方', width: 100, dataIndex: 'defendants' },
			{
				title: '督办次数',
				width: 100,
				order: 'ascend',
				sorter: { compare: (a, b) => {} },
				dataIndex: 'superviseCount',
				render: (text, record, index) => (
					<div
						onClick={() => {
							text !== 0 && handleSupervising(record.caseId);
						}}
						style={{ cursor: 'pointer', color: text !== 0 ? '#1A6FB8' : '#000' }}
					>
						{text}
						{/* {text !== 0 && <span className="timeTip-red-tipsRed" style={{ marginLeft: '8px' }}>督</span>} */}
					</div>
				),
			},
			{
				title: '操作',
				dataIndex: 'action',
				width: 50,
				render: (_, record) => {
					return (
						<span
							onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}`)}
							className="public-color public-a"
						>
							详情
						</span>
					);
				},
			},
		];
	};

	//已办事项
	const columnsDone = useMemo(() => {
		let int = [];
		let lastInt = [
			{
				title: '督办次数',
				width: 100,
				order: 'ascend',
				sorter: { compare: (a, b) => {} },
				dataIndex: 'superviseCount',
				render: (text, record, index) => (
					<div
						onClick={() => {
							text !== 0 && handleSupervising(record.caseId);
						}}
						style={{ cursor: 'pointer', color: text !== 0 ? '#1A6FB8' : '#000' }}
					>
						{' '}
						{text}{' '}
					</div>
				),
			},
		];
		if (tabKey === '') {
			int = [
				{ title: '承办部门', width: 80, dataIndex: 'mediateUnitName' },
				{ title: '经办人', width: 60, dataIndex: 'mediator' },
				{
					title: '化解结果',
					width: 100,
					dataIndex: 'mediResultName',
					render: (text) => (
						<div className={text === '化解成功' ? 'comprehensive-green' : text === '化解不成功' ? 'comprehensive-red' : '-'}>{text || '-'}</div>
					),
				},
			];
		}
		if (tabKey === '1') {
			int = [
				{
					title: '受理时间',
					width: 100,
					dataIndex: 'handleTime',
					defaultSortOrder: 'descend',
					sorter: { compare: (a, b) => {} },
					render: (text) => <span>{$$.dateFormat(text)}</span>,
				},
				{ title: '经办人', width: 60, dataIndex: 'mediator' },
				{ title: '配合部门', width: 80, dataIndex: 'assistUnitName' },
				{
					title: '化解结果',
					width: 100,
					dataIndex: 'mediResultName',
					render: (text) => (
						<div className={text === '化解成功' ? 'comprehensive-green' : text === '化解不成功' ? 'comprehensive-red' : '-'}>{text || '-'}</div>
					),
				},
			];
		}
		if (tabKey === '2') {
			int = [
				{
					title: '交办时间',
					width: 100,
					dataIndex: 'handleTime',
					defaultSortOrder: 'descend',
					order: 'ascend',
					sorter: { compare: (a, b) => {} },
					render: (text) => <span>{$$.dateFormat(text)}</span>,
				},
				{ title: '承办部门', width: 80, dataIndex: 'mediateUnitName' },
				{ title: '经办人', width: 60, dataIndex: 'mediator' },
				{
					title: '化解结果',
					width: 100,
					dataIndex: 'mediResultName',
					render: (text) => (
						<div className={text === '化解成功' ? 'comprehensive-green' : text === '化解不成功' ? 'comprehensive-red' : '-'}>{text || '-'}</div>
					),
				},
			];
		}
		if (tabKey === '3') {
			int = [
				{
					title: '上报时间',
					width: 100,
					dataIndex: 'handleTime',
					defaultSortOrder: 'descend',
					order: 'ascend',
					sorter: { compare: (a, b) => {} },
					render: (text) => <span>{$$.dateFormat(text)}</span>,
				},
				{ title: '审核部门', width: 80, dataIndex: 'handleUnitName' },
				{ title: '审核进度', width: 80, dataIndex: 'auditProcess' },
				{
					title: '审核结果',
					width: 100,
					dataIndex: 'auditResult',
					render: (text) => (
						<div className={text === '1' ? 'comprehensive-green' : text === '2' ? 'comprehensive-red' : ''}>
							{text === '1' ? '通过' : text === '2' ? '未通过' : '-'}
						</div>
					),
				},
			];
			lastInt = [];
		}
		if (tabKey === '4') {
			int = [
				{
					title: '回退时间',
					width: 100,
					dataIndex: 'handleTime',
					defaultSortOrder: 'descend',
					order: 'ascend',
					sorter: { compare: (a, b) => {} },
					render: (text) => <span>{$$.dateFormat(text)}</span>,
				},
				{ title: '审核部门', width: 80, dataIndex: 'handleUnitName' },
				{ title: '审核进度', width: 80, dataIndex: 'auditProcess' },
				{
					title: '审核结果',
					width: 100,
					dataIndex: 'auditResult',
					render: (text) => (
						<div className={text === '1' ? 'comprehensive-green' : text === '2' ? 'comprehensive-red' : ''}>
							{text === '1' ? '通过' : text === '2' ? '未通过' : '-'}
						</div>
					),
				},
			];
			lastInt = [];
		}
		return [
			{ title: '事项状态', width: 80, dataIndex: 'statusName' },
			...int,
			{
				title: '事项等级',
				width: 80,
				order: 'ascend',
				sorter: { compare: (a, b) => {} },
				dataIndex: 'caseLevel',
				render: (text) => <span>{text === 3 ? '三级' : text === 2 ? '二级' : text === 1 ? '一级' : '-'}</span>,
			},
			{ title: '事项来源', width: 80, dataIndex: 'canalName' },
			{ title: '纠纷类型', width: 100, dataIndex: 'caseType' },
			{ title: '申请方', width: 100, dataIndex: 'plaintiffs' },
			{ title: '被申请方', width: 100, dataIndex: 'defendants' },
			...lastInt,
			{
				title: '操作',
				dataIndex: 'action',
				width: 50,
				render: (_, record) => {
					return (
						<span
							onClick={() => navigate(`/mediate/visit/fileMessage?caseTaskId=${record.caseTaskId}&caseId=${record.caseId}`)}
							className="public-color public-a"
						>
							详情
						</span>
					);
				},
			},
		];
	}, [tabKey]);

	// 切换tabs页
	function tabsOnchange(activeKey) {
		if (activeKey !== tabKey) {
			setTabKey(activeKey);
			getModalPageQuery2Data({ ...search, page: 1, flowStatus: activeKey });
		}
	}

	// 搜索 or 重置
	function handleSearch(status, type, session) {
		let paramsObj = {};

		console.log('form.getFieldsValue()', form.getFieldsValue());
		if (type === 'search') {
			paramsObj = { ...search, ...form.getFieldsValue(), page: 1 };

			if (status === 'done') {
				$$.changeTimNeweFormat(paramsObj, 'handleTime', 'handleTimeStart', 'handleTimeEnd');
				paramsObj.caseType = paramsObj.caseType?.length > 0 ? paramsObj.caseType[paramsObj.caseType.length - 1] : '';
			}

			if (status === 'his') {
				$$.changeTimNeweFormat(paramsObj, 'createTime', 'createStart', 'createEnd');
			}
			if (status === 'draft') {
				$$.changeTimNeweFormat(paramsObj, 'updateTime', 'updateStart', 'updateEnd');
			}
		}

		if (type === 'reset') {
			paramsObj = { page: 1, size: 10, sortColmn: 1, sortType: 2 };
			if (status === 'done') {
				paramsObj.handleTimeStart = $$.dateFormat($$.myMoment().subtract(0, 'months').startOf('month'), 'YYYY-MM-DD');
				paramsObj.handleTimeEnd = $$.dateFormat($$.myMoment().subtract(0, 'months').endOf('month'), 'YYYY-MM-DD');
				paramsObj.flowStatus = tabKey;
			}
			form.resetFields();
			form.setFieldsValue({
				joinRole: '1',
				handleTime: [
					$$.dateFormat($$.myMoment().subtract(0, 'months').startOf('month'), 'YYYY-MM-DD'),
					$$.dateFormat($$.myMoment().subtract(0, 'months').endOf('month'), 'YYYY-MM-DD'),
				],
			});
		}
		if (type === 'recurrent') {
			paramsObj = { ...search, ...session.search };
			let copyObj = { ...paramsObj };
			if (copyObj.updateTime) {
				copyObj.updateTime = [$$.myMoment(copyObj.updateStart), $$.myMoment(copyObj.updateEnd)];
			}
			form.setFieldsValue(copyObj);
		}
		if (status === 'done') {
			getModalPageQuery2Data(paramsObj, session?.tableActive);
		} else if (status === 'draft') {
			getModalPageQueryData(paramsObj, session?.tableActive);
		} else {
			getModalPageQuery1Data(paramsObj, session?.tableActive);
		}
	}

	// 页码修改
	function handleChangePage(page, pageSize, field, order) {
		console.log('order', order);

		let paramsObj = Object.assign(search, { page, size: pageSize });
		let sortColmn = '';
		let sortType = '';
		if (modalData.type === 'draft') {
			sortColmn = field === 'updateTime' ? 1 : field === 'caseLevel' ? 2 : '';
			sortType = order === 'ascend' ? 1 : order === 'descend' ? 2 : '';
		}
		if (modalData.type === 'done') {
			sortColmn = field === 'handleTime' ? 1 : field === 'caseLevel' ? 2 : field === 'superviseCount' ? 3 : '';
			sortType = order === 'ascend' ? 1 : order === 'descend' ? 2 : '';
		}
		if (modalData.type === 'his') {
			sortColmn = field === 'createTime' ? 1 : field === 'caseLevel' ? 2 : field === 'superviseCount' ? 3 : '';
			sortType = order === 'ascend' ? 1 : order === 'descend' ? 2 : '';
		}
		// sortColmn = (field === 'caseLevel' || field === 'updateTime') && 1;
		paramsObj = { ...paramsObj, sortColmn, sortType };
		setSearch(paramsObj);

		if (modalData.type === 'done') {
			getModalPageQuery2Data(paramsObj);
		} else if (modalData.type === 'draft') {
			getModalPageQueryData(paramsObj);
		} else {
			getModalPageQuery1Data(paramsObj);
		}
	}

	// 获取草稿箱数据
	async function getModalPageQueryData(submitData, tableActive) {
		global.setSpinning(true);
		const res = await getModalPageQueryDataApi(submitData);
		global.setSpinning(false);
		if (res.type) {
			setSearch(submitData);
			setData({
				total: res?.data?.totalElements || 0,
				tableData: res?.data?.content || [],
			});
		}
	}

	// 获取登记历史数据
	async function getModalPageQuery1Data(submitData, tableActive) {
		global.setSpinning(true);
		const res = await getModalPageQueryData1Api(submitData);
		global.setSpinning(false);
		if (res.type) {
			setSearch(submitData);
			setData({
				total: res?.data?.totalElements || 0,
				tableData: res?.data?.content || [],
				totalData: res?.data?.totalData || {},
			});
		}
	}

	// 获取已办事项数据
	async function getModalPageQuery2Data(submitData, tableActive) {
		global.setSpinning(true);
		const res = await getModalPageQueryData2Api(submitData);
		global.setSpinning(false);
		if (res.type) {
			setSearch(submitData);
			setData({
				total: res?.data?.totalElements || 0,
				tableData: res?.data?.content || [],
				totalData: res?.data?.totalData || {},
			});
		}
	}
	const getCaseInfo = async (id) => {
		const res = await getCaseInfoApi(id);
		if (res.type) {
			let caseDes = res.data.caseDes;
			let caseClaim = res.data.caseClaim;
			setCaseDetailAi(caseDes);
			setCaseClaim(caseClaim);
			getCase(caseDes, caseClaim, id);
			getLaw(caseDes, caseClaim, id);
			setAiQuestionView(true);
		}
	};

	const getCase = async (caseDes, caseClaim, caseId) => {
		const res = await getCaseApi({
			caseDes: caseDes,
			caseClaim: caseClaim,
			caseId: caseId,
		});
		if (res.type) {
			setAiData(res.data);
		}
	};

	const getLaw = async (caseDes, caseClaim, caseId) => {
		const res = await getLawApi({
			caseDes: caseDes,
			caseClaim: caseClaim,
			caseId: caseId,
		});
		if (res.type) {
			setAiLawData(res.data);
		}
	};
	console.log('tableTab', tableTab, tabActivekey, tableData);

	return (
		<div className="VisitWorkBench">
			<div className="VisitWorkBench-top">
				<span style={{ fontWeight: 600 }}>工作总览</span>
				<div className="VisitWorkBench-top-list">
					{Object.keys(tabsMap).map((key) => (
						<div
							key={key}
							className="VisitWorkBench-top-list-tabsItem"
							style={{
								...(tabActivekey !== key ? { backgroundColor: tabsMap[key].workTotal.bgColor } : {}),
								...(tabActivekey === key
									? {
											backgroundImage: `url(${require(`../../assets/images/${tabsMap[key].workTotal.bgImage}`)})`,
											border: `1px solid ${tabsMap[key].workTotal.borderColor}`,
											backgroundRepeat: 'no-repeat',
											backgroundSize: 'cover',
											maxWidth: '100%',
											height: 'auto',
									  }
									: {}),
							}}
							onClick={() => tabActive(key, tabsMap[key])}
						>
							<div>
								<div>{tabsMap[key].workTotal.label}</div>
								<span className="VisitWorkBench-top-list-tabsItem-title">{countData[tabsMap[key].workTotal.value] || 0}</span>件
							</div>
							<div>
								<img src={tabsMap[key].workTotal.img} alt="" className="VisitWorkBench-top-list-tabsItem-imgView" />
							</div>
						</div>
					))}
				</div>
			</div>
			<div
				className="VisitWorkBench-middle"
				onKeyUp={(e) => {
					if (e.key === 'Enter') {
						handleSubmit();
					}
				}}
			>
				<Tabs activeTab={searchData.status} onChange={handleColumnType} destroyOnHide>
					{tableTab?.map((item) => {
						return (
							<TabPane
								key={item.value}
								title={
									<span style={{ fontSize: '15px' }}>
										{item.label}
										{item.numberKey ? `（${countData[item.numberKey] || 0}）` : ''}
									</span>
								}
							>
								<Typography.Paragraph key={tabActivekey + item.value}>
									{tabActivekey == '5' && searchData.status != '2' && (
										<Radio.Group
											type="button"
											value={searchData.type}
											onChange={(value) => {
												setSearchData({
													...searchData,
													type: value,
												});
											}}
											style={{ marginBottom: 16 }}
											options={[
												{
													label: `回退审核${searchData.status === '0' ? `（${countData.returnReview || 0}）` : ''}`,
													value: 1,
												},
												{
													label: `上报审核${searchData.status === '0' ? `（${countData.appearReview || 0}）` : ''}`,
													value: 2,
												},
												{
													label: `结案申请审核${searchData.status === '0' ? `（${countData.windupReview || 0}）` : ''}`,
													value: 3,
												},
												{
													label: `联合处置审核${searchData.status === '0' ? `（${countData.assistReview || 0}）` : ''}`,
													value: 4,
												},
											]}
										/>
									)}
									{tabActivekey == '4' && (
										<Radio.Group
											type="button"
											value={searchData.caseTaskType}
											onChange={(value) => {
												setSearchData({
													...searchData,
													caseTaskType: value,
												});
											}}
											style={{ marginBottom: 16 }}
											options={[
												{
													label: '我承办的',
													value: 1,
												},
												{
													label: '我配合的',
													value: 2,
												},
											]}
										/>
									)}
									<TableView
										rowSelection={tabActivekey == '2' && item.value === '1' ? rowSelection : null}
										columns={item.columnsMap ? item.columnsMap[tabActivekey == '4' ? searchData.caseTaskType : searchData.type] : item.columns}
										dataSource={tableData}
										// tableHeight={'100%'}
										size="small"
										rowKey="ownerId"
										bordered={true}
										isScroll={true} //兼容以前的，当需要表格竖向滚动，请设置这个
										scroll={{
											x: 1300,
										}}
										offsetHeight={165}
										loading={loading}
										pagination={{
											current: pageData.page,
											pageSize: pageData.size,
											total: total,
											onChange: (page, pageSize) => {
												setPageData({
													...pageData,
													page,
													size: pageSize,
												});
											},
										}}
										onChange={(pagination, filters, sorter) => {
											handleSort(sorter);
										}}
									/>
								</Typography.Paragraph>
								{tabActivekey == '2' && item.value === '1' && selectedRowKeys.length != 0 && (
									<div className="VisitWorkBench-middle-select">
										<span>已选{selectedRowKeys.length}项</span>
										<span
											className="linkBtnColor"
											onClick={() => {
												setSelectedRowKeys([]);
												setSelectedRows([]);
											}}
										>
											取消
										</span>
										<span className="linkBtnColor" onClick={handleBatchQs}>
											批量签收
										</span>
									</div>
								)}
							</TabPane>
						);
					})}
				</Tabs>
				<div className="VisitWorkBench-middle-search">
					<Form ref={formRef} layout="vertical">
						<div style={{ display: 'flex' }}>
							{tabActivekey == '2' && searchData.status === '1' && selectedRowKeys.length != 0 && (
								<div
									onClick={handleAllSign}
									style={{ color: '#1a6fb8', cursor: 'pointer', marginRight: '16px', width: '85px', textAlign: 'center', paddingTop: '3px' }}
								>
									<img src={allSign} alt="" className="title-file" />
									全部签收
								</div>
							)}
							{tabActivekey == '0' && (
								<FormItem label=" " field="caseStatus" style={{ width: '160px' }}>
									<Select allowClear placeholder="请选择">
										{[
											{ value: '1', label: '未办结' },
											{ value: '2', label: '已办结' },
											{ value: '3', label: '不予受理' },
										]?.map((y) => (
											<Option value={y.value}>事项状态：{y.label}</Option>
										))}
									</Select>
								</FormItem>
							)}
							<FormItem label=" " field="time" style={{ width: '300px' }}>
								<RangePicker
									style={{ width: '100%' }}
									shortcutsPlacementLeft={true}
									shortcuts={$$.shortcutsList()}
									format="YYYY-MM-DD HH:mm"
									showTime={true}
									placeholder={getPlaceholder()}
								/>
							</FormItem>
							<FormItem label=" " field="partyName" style={{ width: '250px' }}>
								<Input allowClear placeholder="查询申请方/被申请方关键词" />
							</FormItem>
							<Button type="primary" className="dialogPrimary" onClick={handleSubmit}>
								查询
							</Button>
						</div>
					</Form>
				</div>
			</div>
			<div className="VisitWorkBench-bottom">
				<div className="VisitWorkBench-bottom-list">
					<div style={{ backgroundColor: '#fff', padding: '12px 16px 16px 16px', flex: '1' }}>
						<div className="VisitWorkBench-bottom-head">
							<span>事项登记</span>
							<span
								onClick={() => modalClick('his')}
								style={{ cursor: 'pointer', display: 'flex', alignItems: 'center', gap: '4px' }}
								className="public-color"
							>
								<img style={{ width: '18px' }} src={workDash_15} alt="" srcset="" /> 登记历史
							</span>
						</div>
						<div className="VisitWorkBench-bottom-list-l">
							<div
								className="bottomTab3"
								onClick={() => {
									navigate(`/mediate/visit`);
									// let userInfo = $$.getSessionStorage('customerSystemUser');
									// if (userInfo?.unit.endsWith('综治中心')) {
									// 	navigate(`/mediate/visit`);
									// } else {
									// 	// 提示您所在的机构无法使用大厅来访
									// 	$$.info({ type: 'error', content: '您所在的机构无法使用大厅来访' });
									// }
								}}
							>
								<div className="VisitWorkBench-bottom-title" style={{ color: '#206BCD' }}>
									大厅来访
								</div>
								{/* <img src={visitInto} alt='' className='VisitWorkBench-bottom-img' /> */}
							</div>
							<div
								className="bottomTab4"
								onClick={() => {
									setInspectionVisible(true);
								}}
							>
								<div className="VisitWorkBench-bottom-title" style={{ color: '#D46B08' }}>
									自行排查
								</div>
								{/* <img src={checkInto} alt='' className='VisitWorkBench-bottom-img' /> */}
							</div>
						</div>
					</div>
					<div className="VisitWorkBench-bottom-list-r">
						<div className="VisitWorkBench-bottom-list-r-item">
							<div className="VisitWorkBench-bottom-head">已办事项</div>
							<div onClick={() => modalClick('done')} className="VisitWorkBench-bottom-list-r-item-content">
								<img src={visitWorkBench_1} alt="" srcset="" />
								<div>
									<div className="VisitWorkBench-bottom-list-r-item-content-title">全部已办</div>
									<div className="VisitWorkBench-bottom-list-r-item-content-num">
										{countData.alreadyDone || 0}&nbsp;<span className="VisitWorkBench-bottom-list-r-item-content-unit">件</span>
									</div>
								</div>
							</div>
						</div>
						<div className="VisitWorkBench-bottom-list-r-item">
							<div className="VisitWorkBench-bottom-head">效能分析</div>
							<div
								onClick={() => {
									navigate(`/mediate/workEfficiency`);
								}}
								className="VisitWorkBench-bottom-list-r-item-content VisitWorkBench-bottom-list-r-item-content-red"
							>
								<img src={efficiency} alt="" srcset="" />
								<div>
									<div className="VisitWorkBench-bottom-list-r-item-content-title">超时任务</div>
									<div className="VisitWorkBench-bottom-list-r-item-content-num">
										{countData.timeOut || 0}&nbsp;<span className="VisitWorkBench-bottom-list-r-item-content-unit">件</span>
									</div>
								</div>
							</div>
						</div>
						<div className="VisitWorkBench-bottom-list-r-item">
							<div className="VisitWorkBench-bottom-head">草稿箱</div>
							<div
								onClick={() => modalClick('draft')}
								className="VisitWorkBench-bottom-list-r-item-content VisitWorkBench-bottom-list-r-item-content-orange"
							>
								<img src={visitWorkBench_2} alt="" srcset="" />
								<div>
									<div className="VisitWorkBench-bottom-list-r-item-content-title">事项草稿</div>
									<div className="VisitWorkBench-bottom-list-r-item-content-num">
										{countData.caseDraft || 0}&nbsp;<span className="VisitWorkBench-bottom-list-r-item-content-unit">件</span>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<Modal
				title={<div style={{ textAlign: 'left' }}>{modalData.title}</div>}
				style={{ width: '80%' }}
				onCancel={() => {
					setModalData({ ...modalData, visible: false, list: [], title: '', type: '' });
				}}
				closable={true}
				visible={modalData.visible}
				footer={null}
			>
				{modalData.type === 'draft' && (
					<div>
						<TableDraftSearch
							labelLength={4}
							exportButtonShow={false}
							handleText={'重置'}
							form={form}
							itemData={[
								{ type: 'RangePicker', name: 'updateTime', label: '保存时间', shortcutsPlacementLeft: true, shortcuts: $$.shortcutsList(), span: 6 },
								{ type: 'Input', name: 'plaintiffs', placeholder: '查询关键词', label: '申请方', span: 6 },
								{ type: 'Input', name: 'defendants', placeholder: '查询关键词', label: '被申请方', span: 6 },
							]}
							handleReset={() => handleSearch('draft', 'reset')}
							handleSearch={() => handleSearch('draft', 'search')}
						/>
						<div style={{ width: '100%', borderBottom: '1px solid #E5E6EB', marginBottom: '12px' }}></div>
						<div style={{ marginTop: '0px' }}>
							<TableView
								showHeader
								title="查询结果"
								columns={columns()}
								dataSource={data.tableData}
								onChange={(pagination, filters, sorter) => {
									handleChangePage(pagination.current, pagination.pageSize, sorter.field, sorter.order);
									// handleSearch('change', { ...search, sortType: sorter.field === 'waitDay' ? 2 : 1, descType: sorter.order === 'descend' ? 2 : sorter.order === 'ascend' ? 1 : '', page: pagination.current, size: pagination.pageSize });
								}}
								pagination={{
									current: search.page,
									pageSize: search.size,
									total: data.total,
									// onChange: (page, pageSize, sorter) => handleChangePage(page, pageSize, sorter),
								}}
							/>
						</div>
					</div>
				)}
				{modalData.type === 'his' && (
					<div>
						<TableSearch
							labelLength={4}
							exportButtonShow={false}
							displayShow={false}
							textAlign={{ textAlign: 'left' }}
							form={form}
							itemData={[
								{ type: 'RangePicker', name: 'createTime', label: '登记时间', shortcutsPlacementLeft: true, shortcuts: $$.shortcutsList(), span: 6 },
								{ type: 'Input', name: 'plaintiffs', placeholder: '查询关键词', label: '申请方', span: 6 },
								{ type: 'Input', name: 'defendants', placeholder: '查询关键词', label: '被申请方', span: 6 },
								{
									type: 'Select',
									name: 'status',
									label: '事项状态',
									placeholder: '请选择',
									span: 8,
									selectdata: $$.options.caseStatus,
								},
								{
									type: 'Cascader',
									name: 'caseType',
									label: '纠纷类型',
									placeholder: '请选择',
									span: 8,
									treedata: $$.caseTypeSelect.caseTypeSelect,
								},
								{
									type: 'Select',
									name: 'canal',
									label: '事项来源',
									placeholder: '请选择',
									span: 8,
									selectdata: $$.options.caseCanal,
								},
								{
									type: 'Select',
									name: 'caseLevel',
									label: '事项等级',
									placeholder: '请选择',
									span: 8,
									selectdata: $$.options.caseLevelList,
								},
								{
									type: 'Select',
									name: 'mediResult',
									label: '化解结果',
									placeholder: '请选择',
									span: 8,
									selectdata: $$.options.mediResult,
								},
							]}
							handleReset={() => handleSearch('his', 'reset')}
							handleSearch={() => handleSearch('his', 'search')}
						/>
						<div style={{ width: '100%', borderBottom: '1px solid #E5E6EB', margin: '12px 0' }}></div>
						<div style={{ marginTop: '0px' }}>
							<TableView
								showHeader
								title="查询结果"
								columns={columnsHis()}
								dataSource={data.tableData}
								onChange={(pagination, filters, sorter) => {
									handleChangePage(pagination.current, pagination.pageSize, sorter.field, sorter.order);
									// handleSearch('change', { ...search, sortType: sorter.field === 'waitDay' ? 2 : 1, descType: sorter.order === 'descend' ? 2 : sorter.order === 'ascend' ? 1 : '', page: pagination.current, size: pagination.pageSize });
								}}
								pagination={{
									current: search.page,
									pageSize: search.size,
									total: data.total,
									// onChange: (page, pageSize, sorter) => handleChangePage(page, pageSize, sorter),
								}}
							/>
						</div>
					</div>
				)}
				{modalData.type === 'done' && (
					<div>
						<TableSearch
							labelLength={4}
							exportButtonShow={false}
							displayShow={false}
							textAlign={{ textAlign: 'left' }}
							form={form}
							itemData={[
								{
									type: 'RangePicker',
									name: 'handleTime',
									label: '统计时间',
									allowClear: false,
									shortcutsPlacementLeft: true,
									shortcuts: $$.shortcutsList(),
									span: 6,
								},
								{
									type: 'Cascader',
									name: 'caseType',
									label: '纠纷类型',
									placeholder: '请选择',
									span: 8,
									changeSelect: true,
									allowClear: false,
									treedata: $$.caseTypeSelect.caseTypeSelect,
								},
								{ type: 'Select', name: 'caseLevel', label: '事项等级', placeholder: '请选择', span: 8, selectdata: $$.options.caseLevelList },
								{ type: 'Select', name: 'canal', label: '事项来源', placeholder: '请选择', span: 8, selectdata: $$.options.caseCanal },
								{ type: 'Select', name: 'mediResult', label: '化解结果', placeholder: '请选择', span: 8, selectdata: $$.options.mediResult },
								{ type: 'Select', name: 'status', label: '事项状态', placeholder: '请选择', span: 8, selectdata: $$.options.caseStatus },
							]}
							handleReset={() => handleSearch('done', 'reset')}
							handleSearch={() => handleSearch('done', 'search')}
						/>
						<div style={{ width: '100%', borderBottom: '1px solid #E5E6EB', margin: '12px 0' }}></div>
						<div style={{ marginTop: '0px' }}>
							<div style={{ fontSize: '16px' }}>查询结果</div>
							<div style={{ width: '100%', position: 'relative' }}>
								<MyTabsNew
									// 1-已受理，2-已交办，3-已上报，4已回退
									tabs={[
										{ label: <div style={{ height: '24px' }}>全部（{data?.totalData?.totalNum || 0}）</div>, key: '' },
										{ label: <div style={{ height: '24px' }}>已受理（{data?.totalData?.acceptNum || 0}）</div>, key: '1' },
										{ label: <div style={{ height: '24px' }}>已交办（{data?.totalData?.assignedNum || 0}）</div>, key: '2' },
										{ label: <div style={{ height: '24px' }}>已上报（{data?.totalData?.reportNUm || 0}）</div>, key: '3' },
										{ label: <div style={{ height: '24px' }}>已回退（{data?.totalData?.backNUm || 0}）</div>, key: '4' },
									]}
									activeKey={tabKey}
									onChange={(activeKey) => tabsOnchange(activeKey)}
								/>
								<div style={{ borderBottom: '1px solid #E5E6EB', position: 'absolute', width: '100%' }}></div>
							</div>
							<div style={{ margin: '12px 0' }}>
								<Alert
									type="success"
									content={
										<span>
											已为您生成
											{tabKey !== '' && (
												<span>
													<span className="public-color">
														{tabKey === '1'
															? '受理时间'
															: tabKey === '2'
															? '交办时间'
															: tabKey === '3'
															? '上报时间'
															: tabKey === '4'
															? '回退时间'
															: ''}
													</span>
													在
												</span>
											)}
											{search.handleTimeStart && (
												<span className="public-color">
													{$$.myTimeFormat(search.handleTimeStart, 'YYYY.M.D')}-{$$.myTimeFormat(search.handleTimeEnd, 'YYYY.M.D')}
												</span>
											)}
											{/*{search.closeStart && <span className='public-color'>{search.createStart && '、'}办结时间({$$.myTimeFormat(search.createStart, 'YYYY.M.D')}-{$$.myTimeFormat(search.createEnd, 'YYYY.M.D')})</span>}
                    {search.caseType && <span className='public-color'>{(search.createStart || search.closeStart) && '、'}纠纷类型({caseTypeNames.join('/')})</span>} */}
											内的已办矛盾纠纷
										</span>
									}
								/>
							</div>
							<TableView
								// showHeader
								// title="查询结果"
								columns={columnsDone}
								key={tabKey}
								dataSource={data.tableData}
								onChange={(pagination, filters, sorter) => {
									handleChangePage(pagination.current, pagination.pageSize, sorter.field, sorter.order);
									// handleSearch('change', { ...search, sortType: sorter.field === 'waitDay' ? 2 : 1, descType: sorter.order === 'descend' ? 2 : sorter.order === 'ascend' ? 1 : '', page: pagination.current, size: pagination.pageSize });
								}}
								pagination={{
									current: search.page,
									pageSize: search.size,
									total: data.total,
									// onChange: (page, pageSize, sorter) => handleChangePage(page, pageSize, sorter),
								}}
							/>
						</div>
					</div>
				)}
			</Modal>
			<Response visible={response} handleOnCancel={() => setResponse(false)} responseId={responseId} data={superviseInfo} />
			<Modal title="督办信息" style={{ width: '938px' }} onCancel={() => setSupervisingList(false)} visible={supervisingList} footer={null}>
				<TableView
					showHeader
					title=""
					columns={supervisingColumns}
					dataSource={SuperviseListData || []}
					rowKey="id"
					tableHeight={500}
					style={{ marginTop: '-40px' }}
				/>
			</Modal>
			<ResponseDetail visible={detail} handleOnCancel={() => setDetail(false)} data={responseDetail} />
			<SupervisingViews
				visible={supervising}
				handleOnCancel={() => setSupervising(false)}
				caseId={supervisingAddId}
				supervisingId={supervisingId}
				getTableData={() => getTableData('1')}
			/>
			<Modal title="自行排查" style={{ width: '512px' }} onCancel={() => setInspectionVisible(false)} visible={inspectionVisible} footer={null}>
				<div className="troubleshooting">
					<div className="troubleshooting-left">
						<img src={troubleshooting} alt="" srcset="" />
						<div>
							<div className="troubleshooting-left-top">部门排查</div>
							<div className="troubleshooting-left-bottom">部门自行化解矛盾或提交纠纷至综治中心化解</div>
						</div>
					</div>
					<Button
						type="primary"
						onClick={() => {
							navigate(`/mediate/selfInspection`);
						}}
					>
						登记
					</Button>
				</div>
				<Divider />
				<div className="troubleshooting">
					<div className="troubleshooting-left">
						<img src={peopleMediation} alt="" srcset="" />
						<div>
							<div className="troubleshooting-left-top">调解组织录入</div>
							<div className="troubleshooting-left-bottom">调解员或调解组织自行受理案件</div>
						</div>
					</div>
					<Button
						type="primary"
						onClick={() => {
							navigate(`/mediate/selfInspection?isOrganization=true`);
						}}
					>
						登记
					</Button>
				</div>
			</Modal>
			<AiQuestion
				visible={AiQuestionView}
				onClose={() => setAiQuestionView(false)}
				aiData={aiData}
				aiLawData={aiLawData}
				caseDetailAi={caseDetailAi}
				caseClaim={caseClaim}
			/>
		</div>
	);
};

export default VisitWorkBench;
